<?php

namespace App\Enums;

enum Currency: string
{
    case USD = 'USD';
    case BOB = 'BOB';

    public function label(): string
    {
        return match($this) {
            self::USD => 'USD — Dólar',
            self::BOB => 'BOB — Boliviano',
        };
    }

    public function symbol(): string
    {
        return match($this) {
            self::USD => '$',
            self::BOB => 'Bs.',
        };
    }
}
